TOXIC(1)

NAME
toxic - CLI client for Tox

SYNOPSIS

toxic [-f data-file] [-x] [-4] [-c config-file] [-n nodes-file] [-h]

DESCRIPTION

toxic is an ncurses-based instant messaging client for Tox which formerly resided in the Tox core repository, and is now available as a standalone application.

OPTIONS

-4, --ipv4
    Force IPv4 connection

-b, --debug
    Enable stderr for debugging. Redirect output to avoid breaking the curses interface and better capture messages.

-c, --config config-file
    Use specified config-file instead of ~/.config/tox/toxic.conf

-d, --default-locale
    Use default locale

-e, --encrypt-data
    Encrypt an unencrypted data file. An error will occur if this option is used with an encrypted data file.

-f, --file data-file
    Use specified data-file instead of ~/.config/tox/toxic_profile.tox

-h, --help
    Show help message

-l, --logging
    Enable toxcore logging to stderr

-n, --nodes nodes-file
    Use specified nodes-file for DHT bootstrap nodes instead of ~/.config/tox/DHTnodes.json

-o, --noconnect
    Do not connect to the DHT network

-p, --SOCKS5-proxy
    Use a SOCKS5 proxy: Requires [IP] [port]

-P, --HTTP-proxy
    Use a HTTP proxy: Requires [IP] [port]

-r, --namelist
    Use specified nameservers list

-t, --force-tcp
    Force TCP connection (use this with proxies)

-T, --tcp-relay
    Act as a TCP relay server for the network (Note: this uses significantly more bandwidth)

-u, --unencrypt-data
    Unencrypt a data file. A warning will appear if this option is used with a data file that is already unencrypted.

FILES

~/.config/tox/DHTnodes.json
    Default location for list of DHT bootstrap nodes (list obtained from https://nodes.tox.chat). This list is automatically updated. See toxic.conf(5) for details on controlling the update frequency.

~/.config/tox/toxic_profile.tox
    Savestate which contains your personal info (nickname, Tox ID, contacts, etc)

~/.config/tox/toxic.conf
    Configuration file. See toxic.conf(5) for more details.

/opt/local/share/toxic/toxic.conf.example
    Configuration example.

BUGS

-Unicode characters with a width larger than 1 column may cause strange behaviour.

-Screen flickering sometimes occurs on certain terminals.

-Resizing the terminal window when a game window is open will break things.

LINKS

Project page: https://github.com/JFreegman/toxic

Tox development group public key: 360497DA684BCE2A500C1AF9B3A5CE949BBB9F6FB1F91589806FB04CA039E313

AUTHORS

JFreegman <JFreegman@gmail.com>

SEE ALSO

toxic.conf(5)